Subject: guix-daemon: support ftp_proxy environment variable

From: Claes Wallin (韋嘉誠)<[email-masked]>
Date: Sat, 13 Jun 2015 16:39:28 +0200

It would be very useful to be able to tell guix-daemon to download
sources and substitutes through a proxy, even when using ftp. Even
more so than http, as ftp is easily messed up by NAT and "helpful"
Application-Level Gateways.

The format of the ftp_proxy environment variable is the same as for
http_proxy, and indicates that an HTTP proxy be used for FTP
transfers.